% -----rbMIT Software Copyright MIT 2006-07-----
% -------------DBP Huynh, NC Nguyen, AT Patera, G Rozza ----------
% The user agrees to rbMIT  MIT usage, distribution, and citation terms and 
% conditions described in the License at http://augustine.mit.edu/rbMIT_SystemLicense.htm.
% 
% ----------     
% This case refers to the particular case \mathcal{D}=\mathcal{D}_{box}
% (like our example TBCh5Ex)
% Please substitute your own more complex logic if \mathcal {D}  is not
% equal to \mathcal{D}_{box}
% rbMIT  Software Part II and IV   
         
    function [InsideBoolean] = InsideOutsideD(PROBDEF, muvectorvalue);
	InsideBoolean = 1;   % set inside Boolean to 1
	nummupts=size(muvectorvalue,1); % nummupts=M
	for p = 1:PROBDEF.P; % to test each parameter component
	 for m= 1:nummupts   % to test all parameter points
		if(muvectorvalue(m, p) < PROBDEF.mu_min(p))
			InsideBoolean = 0; % Outside D_box from below
			return;
		end;
		if(muvectorvalue(m, p) > PROBDEF.mu_max(p))
			InsideBoolean = 0; % Outside D_box from above
			return;
		end;
	 end;
	end;
