
clear all;
% License material
%
% -----rbMIT  Software Copyright MIT 2006-07-----
% -----------DBP Huynh, NC Nguyen, AT Patera, G Rozza-------
% 
% The user agrees to rbMIT  MIT usage, distribution, and citation terms and conditions 
% described in the License at http://augustine.mit.edu/rbMIT_SystemLicense.htm.
% rbMIT Software Part_II_and_IV
%
probname = 'squareinchannel'
probtype = 'LE1';
% plotdemo = 1;
points = '[0,-1/2+mu1;0,-1;1,-1;1,1;0,1;0,1/2+mu1;1/2,1/2+mu1;1/2,-1/2+mu1;1,0]';
edge = [1,2;2,3;3,9;4,5;5,6;6,7;7,8;8,1;9,4];
geometry{1} = [1,2,3,9,4,5,6,7,8];
matprop{1} = '[1, mu2]';
gflag = [1];
muref = [0,1/4];
mu_min = [-1/10,2/10];
mu_max = [1/10,3/10];
mu_bar = [0,1/4];

dirichlet = '[6,x,0;6,y,1;7,x,0;7,y,1;8,x,0;8,y,1;1,x,0;2,x,0;2,y,0;3,x,0;3,y,0;9,x,0;9,y,0;5,x,0]';

outputname = 'drag'
dLIFT = '[6,0,1;7,0,1;8,0,1]';

 
%%%%%%%%%%%% no user input required beyond this point
if ~exist('plotdemo')
    plotdemo = 0;
end

save rbU ;
addpath('../rbMIT_Aux')
copyfile('../rbMIT_Aux/Step1_coer_noncompliant.m',...
    strcat(probname,'_','Step1_coer_noncompliant.m'))
eval(strcat(probname,'_','Step1_coer_noncompliant'))