% -----rbMIT Software Copyright MIT 2006-07-----
% -------------DBP Huynh, NC Nguyen, AT Patera, G Rozza ----------
% The user agrees to rbMIT  MIT usage, distribution, and citation terms and
% conditions described in the License at http://augustine.mit.edu/rbMIT_SystemLicense.htm.
%  rbMIT Software Part II and IV
%
% ----------
% Step1
% user needs to have created probname and probname\outputname(s) directories
% user needs to be in probname directory
% user needs to have copied this Step1_coer_noncompliant script to probname directory (and then renamed the file to probname_... and modified the contents for the desired problem)
% addpath('../rbMIT_Library')
% addpath('../rbMIT_Library/symbolic')
% addpath('../rbMIT_Library/parabolic')
% Step1_coer_noncompliant [symbolic case: 2-d]


load rbU;

% addpath('../rbMIT_Aux')
copyfile('../rbMIT_Aux/InsideOutsideD.m',strcat(probname,'_','InsideOutsideD.m'))
copyfile('../rbMIT_Aux/Get_Theta_q.m',strcat(probname,'_','Get_Theta_q.m'))
copyfile('../rbMIT_Aux/Step2_1_coer_noncompliant.m',strcat(probname,'_','Step2_1_coer_noncompliant.m'))
copyfile('../rbMIT_Aux/Step2_2_coer_noncompliant.m',strcat(probname,'_','Step2_2_coer_noncompliant.m'))
eval('symbolicprimal')

% the two steps below are  "RB for dummies" in which we call the remaining steps with default parameters
eval(strcat(probname,'_','Step2_1_coer_noncompliant'))
eval(strcat(probname,'_','Step2_2_coer_noncompliant'))
% block below for each output
load rbU;
%  delete rbU.mat; % I might need this mat! phuong 27/8
if (exist([cd,'\',outputname],'dir')~=7)
    mkdir(outputname)
end
cd(outputname)
rehash path;
% addpath('../../rbMIT_Aux')
% addpath('../../rbMIT_Library')
% addpath('../../rbMIT_Library/symbolic')
% addpath('../../rbMIT_Library/parabolic')
copyfile('../../rbMIT_Aux/Get_Theta_q.m',strcat(probname,'_',outputname,'_','Get_Theta_q.m'))
copyfile('../../rbMIT_Aux/addout.m',strcat(probname,'_',outputname,'_','addout.m'))
copyfile(strcat('../',probname,'_','InsideOutsideD.m'),strcat(probname,'_','InsideOutsideD.m'))
copyfile(strcat('../',probname,'_','Get_Theta_q.m'),strcat(probname,'_','Get_Theta_q.m'))
copyfile('../../rbMIT_Aux/output_Step2_2_coer_noncompliant.m',strcat(probname,'_',outputname,'_','Step2_2_coer_noncompliant.m'))
eval('symbolicdual')
% the step below is RB for dummies" in which we call the remaining step with default parameters
eval(strcat(probname,'_',outputname,'_','Step2_2_coer_noncompliant'))
% load in anticipation of outputs
save names_tmp probname outputname

clear
load names_tmp
delete names_tmp.mat
load(strcat(probname,'_',outputname,'_','du_PROBDEF'))
load(strcat(probname,'_',outputname,'_','du_ONLINE'))
cd('..')
% addpath('../rbMIT_Library')
% addpath('../rbMIT_Library/symbolic')
% addpath('../rbMIT_Library/parabolic')
%  addpath('../rbMIT_Library/inverse')
load(strcat(probname,'_','pr_PROBDEF'))
load(strcat(probname,'_','pr_ONLINE'))
load(strcat(probname,'_','pr_OFFLINE'))
load(strcat(probname,'_','VIS'))
clear probname outputname
% all set to evaluate above output or enter (below) a second output "block"


