
clear all;
% License material
%
% -----rbMIT  Software Copyright MIT 2006-07-----
% -----------DBP Huynh, NC Nguyen, AT Patera, G Rozza-------
% 
% The user agrees to rbMIT  MIT usage, distribution, and citation terms and conditions 
% described in the License at http://augustine.mit.edu/rbMIT_SystemLicense.htm.
% rbMIT Software Part_II_and_IV
%
probname = 'cork'
probtype = 'LE1';
plotdemo = 1;
points = '[0,0;mu1,0;2,0;2,1/2;mu1,1/2;0,1/2]';
edge = [1,2;2,3;3,4;4,5;5,6;6,1];
geometry{1} = [1,2,3,4,5,6];
matprop{1} = '[1, mu2]';
gflag = [1];
muref = [1,1/8];
mu_min = [1/2,0];
mu_max = [3/2,1/4];
mu_bar = [1,1/8];

nload = '[6,-1,0]';
dirichlet = '[1,y,0;2,y,0;4,x,0;4,y,0]';

outputname = 'normalforce' % to compute friction force in x_1
dLIFT = '[4,0,1]';

 
%%%%%%%%%%%% no user input required beyond this point
if ~exist('plotdemo')
    plotdemo = 0;
end

save rbU ;
addpath('../rbMIT_Aux')
copyfile('../rbMIT_Aux/Step1_coer_noncompliant.m',...
    strcat(probname,'_','Step1_coer_noncompliant.m'))
eval(strcat(probname,'_','Step1_coer_noncompliant'))