clear;
% License material
%
% -----rbMIT  Software Copyright MIT 2006-07-----
% -----------DBP Huynh, NC Nguyen, AT Patera, G Rozza-------
% 
% The user agrees to rbMIT  MIT usage, distribution, and citation terms and conditions 
% described in the License at http://augustine.mit.edu/rbMIT_SystemLicense.htm.
% rbMIT Software Part_II_and_IV
%
plotdemo = 1;

%
probname = 'steadysphere'

points = '[1,0;3,0;3,3;0,3;0,1;mu2,0;mu2,mu2;0,mu2]';
edge = [1,2;2,3;3,4;4,5;1,5;2,6;6,7;7,8;8,4];
geometry{1} = [1,6,7,8,9,4,5];
geometry{2} = [1,2,3,4,5];
gflag = [1,1];
kappa{1} = '[y 0 0; 0, y, 0; 0 0 y*mu1]';
kappa{2} = '[y 0 0; 0, y, 0; 0 0 y*mu1]';
muref = [1,6];
mu_min = [0,4];
mu_max = [4,8];
mu_bar = [1,6];
dirichlet = '[5,1;7,0;8,0]';
curvedat = '[0,0,1,1,0,cos(pi*t),sin(pi*t)]';
tarclist = '[5,1,0,1/2]';


outputname = 'flux'

dLIFT = '[5,1]';

%analytical answer for flux (without the axisymmetric 2*pi): 1 + sqrt(mu1)
%analytical expression for field: exp(-sqrt(mu1)*(r-1))/r (where r is radius)
%note the above only true in limit mu2 tends to infinity, however for mu1
%larger even small mu2 are effectively infinite

%%%%%%%%%%%% no user input required beyond this point
if ~exist('plotdemo')
    plotdemo = 0;
end

save rbU ;
addpath('../rbMIT_Aux')
copyfile('../rbMIT_Aux/Step1_coer_noncompliant.m',...
    strcat(probname,'_','Step1_coer_noncompliant.m'))
eval(strcat(probname,'_','Step1_coer_noncompliant'))